flashplayer con Opera

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
Rama
Linux 2.x
Linux 2.x
Messaggi: 312
Iscritto il: sab mar 29, 2008 12:18
Slackware: 14.2 64bit
Kernel: 4.15.14 preemptive
Desktop: KDE 4.14.21
Distribuzione: Debian 9.3
Località: Novara, provincia
Contatta:

flashplayer con Opera

Messaggioda Rama » mer dic 13, 2017 22:02

non riesco ad attivare adobe flashplayer in opera;
il sito adobe la fa facile: copiare libflashplayer.so in /usr/lib/opera/plugins, ma non va;
sulla tosticità della Slackware, ovvero distro sedicenti facili e realmente tali:
http://www.umpf.net/ramapage/sulla.htm

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2350
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.16.2
Desktop: lxde
Località: Pisa
Contatta:

Re: flashplayer con Opera

Messaggioda ponce » gio dic 14, 2017 6:52

quello che ti posso dire e' che qui ho installato freshplayerplugin da SBo con tutte le sue dipendenze e opera lo vede senza bisogno di fare nient'altro.

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 2854
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: flashplayer con Opera

Messaggioda joe » gio dic 14, 2017 13:47

Rama, metti la versione di Opera in questione e come lo hai installato: cioè di quale pacchetto si tratta.
Idem per quanto riguarda flasshplayer, di che pacchetto parliamo?

Avatar utente
conraid
Staff
Staff
Messaggi: 13068
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: flashplayer con Opera

Messaggioda conraid » gio dic 14, 2017 16:27

Opera si base su chromium, devi installare pepperflash. Io uso il pacchetto di Alien (chromium-pepperflash-plugin-27.0.0.187-x86_64-1alien ), ma puoi benissimo prendere il file da chrome, che si chiama libpepflashplayer.so
Poi immagino che il percorso sarà lib64 visto che usi la 64bit dalle info che hai nel profilo.
Comunque basta installarlo per chromium e va anche con Opera.

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 2854
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: flashplayer con Opera

Messaggioda joe » gio dic 14, 2017 18:01

Anche io mi baso sullo slackbuild di Alien e avevo creato uno script per aggiornare il pacchetto semi-automaticamente, anche prima che Alien aggiorni e testi il suo SlackBuild.
In pratica lo script verifica la versione pubblicata online da adobe e ne propone un confronto con l'attuale installata. L'utente può scegliere anche di lasciare tutto così, oppure può decidere di aggiornare.
A quel punto semplicemente il nuovo numero di versione rilevato online viene passato allo slackbuild di alien con la variabile VERSION.
Quindi viene eseguito lo slackbuild ed infine rimosso il precedente pacchetto presente sul sistema e installato quello nuovo appena creato.

Codice: Seleziona tutto

cat scripts/flashupgrade.sh
#!/bin/sh

WORKDIR=/root/build/chromium-pepperflash-plugin
SLACKBUILD=$WORKDIR/chromium-pepperflash-plugin.SlackBuild
SLKBLDURL='http://www.slackware.com/~alien/slackbuilds/chromium-pepperflash-plugin/build/'


lastversion()
{
  curl -sL http://www.adobe.com/software/flash/about/ | grep -FA2 'Chromium-based browsers - PPAPI' | grep -Eo '([0-9]+\.){3}[0-9]+' | tail -n1
}

LASTVER=$(lastversion)
CURRPKG=$(ls /var/log/packages|grep pepperflash)
cat <<EOF
Uvailable VERSION on Adobe repositoy:   $LASTVER
Installed package:   $CURRPKG


Do you want to upgrade? [y/n]
EOF

read answer
[ "$answer" = "y" ] || exit 0

[ ! -d $WORKDIR ] && mkdir -p $WORKDIR
cd $WORKDIR

# scarica slackbuild e altri files dal repo di alienbob
set -x
lftp -c "open $SLKBLDURL; mirror ."
set +x

# esegui lo slackbuild
export VERSION=$LASTVER
/bin/bash $SLACKBUILD

# Rimuovi eventuale installazione precedente e installa
# il nuovo pacchetto creato
[ "AAA$CURRPKG" = "AAA" ] || removepkg $CURRPKG
installpkg /tmp/chromium-pepperflash-plugin-$VERSION-x86_64-?alien.txz

Ah, crea in root la dir build/chromium-pepperflash-plugin che non viene rimossa alla fine del procedimento... eventualmente basta fare un rm.

Sicuramente migliorabile, comunque sembra funzionante... Ad esempio adesso ho messo la versione 208.qualcosa, mentre Alien non ha ancora aggiornato.
Ciao a tutti

Avatar utente
Rama
Linux 2.x
Linux 2.x
Messaggi: 312
Iscritto il: sab mar 29, 2008 12:18
Slackware: 14.2 64bit
Kernel: 4.15.14 preemptive
Desktop: KDE 4.14.21
Distribuzione: Debian 9.3
Località: Novara, provincia
Contatta:

Re: flashplayer con Opera

Messaggioda Rama » gio dic 14, 2017 18:53

ponce ha scritto:quello che ti posso dire e' che qui ho installato freshplayerplugin da SBo con tutte le sue dipendenze e opera lo vede senza bisogno di fare nient'altro.

fatto, da anni non dovevo pasticciare tanto con le dipendenze, purtroppo ancora non va;

rispondo ad altri:
opera-stable_49.0.2725.39_amd64
chromium-pepperflash-plugin-28.0.0.126-x86_64-1alien
freshplayerplugin-0.3.7-x86_64-1_SBo
flashplayer-plugin-11.2.202.632-x86_64-2sl

adesso ho appena usato lo script di joe per aggiornare, purtroppo niente da fare;

il ridicolo è che secondo Adobe basta mettere libflashplayer.so nella dir dei plugins;

dopo cena provoa vedere se con Debian le cose sono più semplici, dopotutto Opera mi serve una o due volte alla settimana;
sulla tosticità della Slackware, ovvero distro sedicenti facili e realmente tali:
http://www.umpf.net/ramapage/sulla.htm

Avatar utente
conraid
Staff
Staff
Messaggi: 13068
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: flashplayer con Opera

Messaggioda conraid » gio dic 14, 2017 19:03

Rama ha scritto:il ridicolo è che secondo Adobe basta mettere libflashplayer.so nella dir dei plugins;


Hai guardato queste istruzioni?
http://www.opera.com/docs/linux/plugins/install/
Son vecchie, prima non si basava su Chromium.

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 2854
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: flashplayer con Opera

Messaggioda joe » gio dic 14, 2017 19:08

opera-stable_49.0.2725.39_amd64

Non ho capito da che repository l'hai ottenuto quel pacchetto.
Cioè come hai installato opera?
Da slackbuild.org o con sbopkg, oppure da altri repo?
Quella versione l'ho trovata solo in due repo:

- Questo che non conosco
https://slackonly.com/pub/packages/14.2 ... ork/opera/

- E qui in versione slackbuild per creare il pacchetto in locale:
https://slackbuilds.org/repository/14.2/network/opera/

Secondo me se metti quest'ultima risolvi... E volendo puoi farlo dopo aver disinstallato la versione che hai adesso, col semplice:

Codice: Seleziona tutto

sbopkg -i opera

Avatar utente
Rama
Linux 2.x
Linux 2.x
Messaggi: 312
Iscritto il: sab mar 29, 2008 12:18
Slackware: 14.2 64bit
Kernel: 4.15.14 preemptive
Desktop: KDE 4.14.21
Distribuzione: Debian 9.3
Località: Novara, provincia
Contatta:

Re: flashplayer con Opera

Messaggioda Rama » gio dic 14, 2017 20:33

mi sa che ho chiuso Firefox dimenticando di inviare la risposta ;-P
ora non ricordo, in ogni caso era un tgx;
provati i due link che hai passato senza risultato;
però ho risolto usando un'estensione di Firefox, dato che volevo installare Opera per via del vpn integrato, chissà perché mi sembrava un sistema migliore dell'usare un'estensione, quindi ho disinstallato e cestinato tutto quello che si riferiva ad Opera, così impara;
grazie a tutti;
sulla tosticità della Slackware, ovvero distro sedicenti facili e realmente tali:
http://www.umpf.net/ramapage/sulla.htm

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 2854
Iscritto il: ven apr 27, 2007 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: flashplayer con Opera

Messaggioda joe » gio dic 14, 2017 21:58

Un "tgx" ??? Un txz forse o un tgz al massimo! :)

"Senza risultato" cosa vuol dire?
Che hai installato uno di quei pacchetti di opera? E il flashplayer plugin non risulta presente?
Hai verificato dal sito di adobe vero?
get.adobe.com/it/flashplayer/about/

Cos'è che non funziona esattamente?
Insisto perchè a me tempo fa la verifica su quella pagina non tornava... Poi era una limitazione impostata a livello del browser: bastava cliccare sulla "i" (info) a sinistra della barra degli indirizzi e sbloccare "flash".

EDIT
Ho provato ad installare Opera, che non usavo da decadi...
Carino!
Mi sono collegato al sito del test flashplayer: http://get.adobe.com/it/flashplayer/about/
Ed effettivamente non mi mostrava la versione di flash installata, come se non l'avessi...
Però è bastato andare nelle impostazioni > Siti web > Flash > Geastione delle Eccezioni
Lì ho inserito il sito http://get.adobe.com/it/flashplayer/about/ e impostato su "Consenti".
Tornato sulla pagina del test flash player e aggiornata, ecco che la versione di flashplayer è apparsa confermandomi il corretto funzionamento del plugin.
Ho fatto anche lo snapshot:
https://reep.io/d/2912qjkyc6
https://reep.io/d/2912qj59s7

Avatar utente
Rama
Linux 2.x
Linux 2.x
Messaggi: 312
Iscritto il: sab mar 29, 2008 12:18
Slackware: 14.2 64bit
Kernel: 4.15.14 preemptive
Desktop: KDE 4.14.21
Distribuzione: Debian 9.3
Località: Novara, provincia
Contatta:

Re: flashplayer con Opera

Messaggioda Rama » ven dic 15, 2017 7:07

txz, certo;
sì, avevo attivato il flash nelle impostazioni e messo anche il sito della Stampa nelle eccezioni, per una prova, anche se mi sembrava superfluo: dovrebbe servire solo se la regola generale è di non permettere l'uso di flashplayer, mi sembra;
sulla tosticità della Slackware, ovvero distro sedicenti facili e realmente tali:
http://www.umpf.net/ramapage/sulla.htm